<?php 
include "../dbconection.php";
include "../funciones.php";
session_start();
//session_validation();

$data = file_get_contents($_FILES['saveFile']['tmp_name']);
//$intMenu = $_REQUEST['intMenu'];

$intProducto = $_REQUEST['intProducto'];
//$intUsuario = $_SESSION['intUsuario'];

$intUsuario = 8;
$currentDate = date("Y")."-".date("m")."-".date("d")." ".date('G').":".date('i').":".date('s');

$error = "";
$image = "";
$msg = "EXITO";

//if 
//((($_FILES["file"]["type"] == "application/octet-stream") 
//|| ($_FILES["file"]["type"] == "text/php") 

if($data){
	//$image = chr(34).base64_encode($data).chr(34);
	$strUrlFile = $_FILES["saveFile"]["name"];
	$strExtension = substr($strUrlFile, strrpos($strUrlFile, '.') + 1);

	define('UPLOAD_DIR', '../images/catalogo/');
	define('UPLOAD_DIR2', 'images/catalogo/');
	
	$strFile = $data;
	$fileID = uniqid() . '.'. $strExtension;
	//$fileID = $strUrlFile;
	
	$filesize = $_FILES["saveFile"]["size"];
	
	//if($filesize>819200){
	if(1==888){
		$error = 'El tama&ntilde;o del archivo es muy grande '.  round($filesize/1024) . ' kbytes, debe ser menor a 800 kbytes';
		//$error = 'El tama&ntilde;o del archivo es muy grande '.  $filesize . ' bytes, debe ser menor a 204800 bytes';
	}else{
		$success = file_put_contents(UPLOAD_DIR.$fileID, $strFile);
		//print $success ? $fileID : 'Unable to save the file.';

		if($success){
			if($intProducto==NULL || $intProducto=="" || $intProducto=="null"){
				$strId = $_REQUEST['strId'];
						
				if($strId!=NULL || $strId!="" || $strId!="null"){
					$query = "INSERT INTO tbltemporal (strId, strImagen) VALUES('". $strId ."','". $fileID ."')"; 
				}
				
			}else{
				
				// AQUI HAY QUE BORRAR LAS IMAGENES ANTERIORES CON EL SCRIPTING
//				$query = "SELECT strUrlArchivo FROM tbldocumentos WHERE intDocumento = ". $intProducto ." AND NOT strUrlArchivo <=> NULL"; 
//				$queryResult = mysql_query($query);	
//				$totalRows = mysql_num_rows($queryResult);
//				
//				if($totalRows > 0){
//					$data = mysql_fetch_assoc($queryResult);
//					$imgAntigua = $data["strUrlArchivo"];
//					
//					if(!is_null($imgAntigua)){
//						unlink( UPLOAD_DIR.$imgAntigua );
//					}
//				}
				
				// AQUI NO SE ACTUALIZA YA QUE LO INSERTA EN EL PHP DE ABC DE EQUIPOS
				$query = "UPDATE tbldocumentos SET strUrlArchivo = '". $fileID ."' WHERE intDocumento = ". $intProducto; 
			}
			
			mysql_query($query);
			$error = mysql_error();
	
		}else{
			$error = 'No se pudo guardar el archivo.';
		}
	}
}

if($error)
{
	$msg = "ERROR";
}

$sJSON = "{";
	$sJSON .= '"error":"'.$error.'"';
	$sJSON .= ',"msg":"'.$msg.'"';
	$sJSON .= ',"url":"'.$strUrlImages.$fileID.'"';
$sJSON .= "}";

print($sJSON);
?>
